Bug 277467 - Desktop/Folderview desktop layout: no controls handle for FolderView plasmoid
Summary: Desktop/Folderview desktop layout: no controls handle for FolderView plasmoid
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: desktop (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-10 14:08 UTC by S.Trzmiel
Modified: 2011-07-19 07:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S.Trzmiel 2011-07-10 14:08:41 UTC
Version:           unspecified (using Devel) 
OS:                Linux

When "desktop" or folderview" desktop layout is set, folderview plasmoid shows no control handle with on mouse hover.
Desktop is unlocked, all other plasmoids shows controls properly. This issue is not present with other desktop layouts (i've tried grid and grouping).

Revelant packages installed:
kdebase-workspace-4.6.90-4.fc15.i686

Reproducible: Always

Steps to Reproduce:
1. Unlock desktop
2. Set your desktop type to "desktop" or "folder view"
3. Add "Folder view" plasmoid
4. Hover mouse cursor above plasmoid

Actual Results:  
No controls shown

Expected Results:  
Controls handle visible on either side of the plasmoid

I haven't tried  KDE 4.7 rc2 as packages arent  available in kde-redhat-unstable repo. I'll report back when they will.
Comment 1 Barry Jackson 2011-07-17 14:03:30 UTC
Confirmed here in 4.6.95 also using Mageia Cauldron.

plasma-applet-folderview-4.6.95-0.mga2
kdebase4-workspace-4.6.95-1.mga2

This bug is not present in 4.6.3

See Mageia bug https://bugs.mageia.org/show_bug.cgi?id=2171
Comment 2 Aaron J. Seigo 2011-07-19 07:39:12 UTC
Git commit 769852dc544ef221e81443be417f4603b2a09d07 by Aaron Seigo.
Committed on 19/07/2011 at 09:37.
Pushed by aseigo into branch 'KDE/4.7'.

call Applet::sceneEventFilter; otherwise applet handles are broken on Applets that are also Containments

BUG:277467

M  +1    -3    plasma/containment.cpp

http://commits.kde.org/kdelibs/769852dc544ef221e81443be417f4603b2a09d07
Comment 3 Aaron J. Seigo 2011-07-19 07:39:15 UTC
Git commit bd89b6fc1bb8fa0ec296cbdddde0c36ba9225be6 by Aaron Seigo.
Committed on 19/07/2011 at 09:37.
Pushed by aseigo into branch 'master'.

call Applet::sceneEventFilter; otherwise applet handles are broken on Applets that are also Containments

BUG:277467

M  +1    -3    plasma/containment.cpp

http://commits.kde.org/kdelibs/bd89b6fc1bb8fa0ec296cbdddde0c36ba9225be6